#ifndef _TIMER0_H
#define _TIMER0_H

#include "Main.h"

#define  TIMER0_COMP_vect_num 15    // will be in processor header
#define  TIMER0_OVF_vect_num  16    // will be in processor header

#define  TIMER0_TIMEOUT       20    // some arbitrary number < 255

//-------------------------------------------------------------------
// The class definition for the timer overflow interrupt associated 
// with Timer0. Any and all of the Timer0 interrupts may be defined 
// here.
//
class CTimer0Interrupt
{
private:
   ISRN(OverflowInterrupt, TIMER0_OVF_vect_num);
//   ISRN(CompareInterrupt, TIMER0_COMP_vect_num);
};

//-------------------------------------------------------------------
// The class definition for all functions associated with Timer0.
// The CTimer0Interrupt class is declared a friend so it has direct
// access to the mFlag private variable.
//
extern class CTimer0 Timer0;

class CTimer0
{
   friend class CTimer0Interrupt;
public:
   CTimer0();
   ~CTimer0();
   int GetFlag(void);
   void ResetFlag(void);

private:
   volatile int mFlag;
   CTimer0Interrupt Timer0Int;
};


#endif   // _TIMER0_H

