/******************************************************************************

 PROJECT:   DPH64

 MODULE:   	Types.h

 FUNCTION:  Libraries and type definitions.

 AUTHOR:	Ron Kreymborg
 			Jennaron Research

 REVISIONS:

******************************************************************************/

// Types.h
//
#ifndef _TYPES_H
#define _TYPES_H

//#include <avr/signal.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>
#include <avr/eeprom.h>
#include <avr/io.h>
#include <string.h>
#include <setjmp.h>
#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#define  EEPROM      __attribute__((section(".eeprom")))
#define  IN_FLASH    __attribute__((progmem))

#define TRUE            1
#define FALSE           0
#define SB(bit)         (1<<(bit))

typedef unsigned char   uint8;
typedef unsigned int    uint16;
typedef char            int8;
typedef unsigned long   uint32;
typedef long            TaskParameter;
typedef long            TaskDelayTime;

void * operator new(size_t size);
void operator delete(void* ptr);
void * operator new[](size_t size);
void operator delete[](void * ptr);

__extension__ typedef int __guard __attribute__((mode (__DI__))); 

extern "C" int __cxa_guard_acquire(__guard *); 
extern "C" void __cxa_guard_release (__guard *); 
extern "C" void __cxa_guard_abort (__guard *); 
extern "C" void __cxa_pure_virtual(void); 

#endif  // _TYPES_H
